<fieldset>
    <legend>Upload new file</legend>
    <% if (error) { %>
    <div class="alert alert-danger">Failed to upload new file</div>
    <% } %>
    <% if (success) { %>
    <div class="alert alert-success">File uploaded</div>
    <% } %>
    <form action="/files/upload" method="post" enctype="multipart/form-data">
        <div class="form-group">
            <input type="text" class="form-control form-control-sm" placeholder="Title" required name="title">
        </div>
        <div class="form-group">
            <div class="form-control-sm custom-file">
                <input type="file" accept=".ts,.264" class="custom-file-input" id="uploadFile" required
                    name="uploadFile">
                <label class="custom-file-label" for="uploadFile">Choose File</label>
                <div class="invalid-feedback">
                    Please choose file with extension:
                    <em>.ts, .264</em>
                </div>
            </div>
        </div>
        <button type="submit" class="btn btn-sm btn-success">Upload</button>
    </form>
</fieldset>
<h2 class="mt-2 text-center">Files List</h2>
<% if (files.length > 0) { %>
    <div class="table-responsive">
        <table class="table table-striped">
            <tr>
                <th>Title</th>
                <th>Filename</th>
                <th>Link</th>
                <th>&nbsp;</th>
            </tr>
            <% for (let file of files) { %>
                <tr>
                    <td><%= file.title %></td>
                    <td><%= file.name %></td>
                    <td><%= file.path %></td>
                    <td>
                        <form class="d-inline" action="/files/delete" method="post">
                            <input type="hidden" name="fileId" value="<%= file.id %>">
                            <button class="btn" type="submit"><i class="fa fa-times-circle text-danger"></i></button>
                        </form>
                        <% if (file.name.slice(-4) === '.264') { %>
                            <a href="/stream/<%= file.id %>"><i class="fa fa-play"></i></a>
                        <% } %>
                    </td>
                </tr>
            <% } %>
        </table>
    </div>
<% } else { %>
    <div class="p-5 text-center"><em>No file found</em></div>
<% } %>
<script>
    $('li#menuFiles').addClass('active');
    $('li#menuFiles a').attr('href', '#');
    const $uploadFile = $('input#uploadFile');
    $uploadFile.on('change', e => {
        $uploadFile.removeClass('is-invalid');

        const $label = $('label');
        const fileList = e.target.files;

        let label = 'Choose File';

        if (fileList.length > 0) {
            if (!/.+\.(ts|264)$/.test(fileList[0].name)) {
                $uploadFile.addClass('is-invalid').val('');
            } else {
                label = fileList[0].name;
            }
        }

        $label.text(label);
    });
</script>
<% if (error || success) { %>
<script>
    window.history.replaceState({}, document.title, '/files');
</script>
<% } %>
